Bug 827409 - Saving an empty process is not possible if the asset name has a space
Saving an empty process is not possible if the asset name has a space
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER9
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 07:52 EDT by Toni Rikkola
Modified: 2012-06-19 06:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Rikkola 2012-06-01 07:52:42 EDT
Description of problem:
Using jBPM web editor in BRMS.

Version-Release number of selected component (if applicable):


How reproducible:
Easy

Steps to Reproduce:
1. Make a new bpmn2 asset
2. Name it "My Asset"
3. Try to save
  
Actual results:
Tell me to check the server logs and validate. I validate and nothing happens.

Expected results:
I would like it to save.

Additional info:
Did some digging. The reason is that the asset name has a space in it and the asset name is used as the process id. The id can not have spaces.
Comment 1 Tihomir Surdilovic 2012-06-01 09:45:46 EDT
Reproduced, fixing now.
Comment 2 Tihomir Surdilovic 2012-06-01 10:39:17 EDT
Fixed committed to Designer master. Let me know if/when this becomes a blocker so can move to the product 2.2.x branch.
Comment 3 Tihomir Surdilovic 2012-06-05 10:50:44 EDT
Fix now in Designer production (2.2.x) branch as well.
Comment 4 Ryan Zhang 2012-06-13 05:32:39 EDT
This issue's fixes  have been picked by ER9. Please verify them on ER9.
Comment 5 Sona Mala 2012-06-19 06:06:08 EDT
Verified for ER9. Asset name is converted to ID without spaces.

Note You need to log in before you can comment on or make changes to this bug.